.material-symbols-outlined {
    font-variation-settings: 'FILL' 1, 'wght' 400, 'GRAD' 0, 'opsz' 48
}

body {
    overflow-x: hidden;
    overflow-y: scroll;
    /* background: #444; */
}

button {
    transition: width 2.5s;
}

.table-container {
    overflow: scroll;
    height: calc(100vh - 3rem);
}

p {
    margin: 0;
}

.header {
    margin: 0.5rem 0;
    font-size: 1.3rem;
}

form {
    color: #aaa;
}

input,
select {
    color-scheme: dark;
    flex: none !important;
}

@media screen and (max-width: 500px) {
    input,
    select {
        height: 2.5rem;
        /* margin-bottom: 0.7rem; */
    }
}

input+span {
    /* padding-left: 10px; */
}

input:invalid+span::after {
    content: "\2715";
    /* •●○■⃝ \2573\2BC5\2BBE\2BBF\25B2\25B3\1F6C6\1F5D9\1F7A9 \26A0 \2609\2621 \2726*/
    display: inline-block;
    width: 1rem;
    color: var(--bs-danger-text);
}

input:valid+span::after {
    content: "\2713";
    display: inline-block;
    width: 1rem;
    color: green;
    /* ✓•●○■⃝ \1F5F8\2713 */
}

#Date {
    width: 9rem;
}

#SenderRecipientRow {
    max-width: 25rem;
}

#Sender,
#Recipient {
    width: 10rem;
}

#Type {
    max-width: calc(100% - 3rem);
    width: 20rem;
}

#AmountCurrencyRow {
    max-width: 19rem;
}

#Amount {
    width: 7rem;
}

#Currency {
    margin-left: 1rem;
    width: 5rem;
}

#Comment {
    max-width: calc(100% - 6rem);
    width: 35rem;
}

#AddNew {
    margin-bottom: 1rem;
}

#Saldos {
    /* position: absolute; */
    margin-left: 1rem;
}

.float-right {
    float: right;
}

select:required:invalid {
    color: #777;
}

.primaryColor {
    fill: var(--bs-primary-text-emphasis);
    color: var(--bs-primary-text-emphasis) !important;
}

.primaryColor2 {
    fill: var(--bs-warning-border-subtle);
    color: var(--bs-warning-border-subtle) !important;
}

.warningColor {
    /* fill: var(--bs-danger-border-subtle);
    color: var(--bs-danger-border-subtle) !important; */
    fill: #f00;
    color: rgb(172, 95, 95) !important;
}

.emphasisColor {
    fill: var(--bs-danger-text-emphasis);
    color: var(--bs-danger-text-emphasis) !important;
}

path:hover {}

​
/* option[value=""][disabled] {
    display: none;
} */

option {
    color: #fff;
}

.svg-icon {
    width: 1.3rem;
    height: 1.3rem;
}


/* .form-control:focus {
    border-color: #FF0000;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(255, 0, 0, 0.6);
} */

@include color-mode(dark) {}

.table {
    width: 120rem;
    display: block;
}

.col-button {
    vertical-align: middle;
}

.col-id {
    width: 4rem;
    text-align: right;
    vertical-align: middle;
}

.col-date {
    width: 5rem;
    vertical-align: middle;
}

.col-type {
    width: 15rem;
    vertical-align: middle;
}

.col-sender,
.col-recipient,
.col-submitter {
    min-width: 6rem;
    vertical-align: middle;
}

.col-relationship {
    width: 20rem;
    vertical-align: middle;
    vertical-align: middle;
}

.col-direction {
    width: 4rem;
    text-align: center;
    vertical-align: middle;
}

.col-amount {
    width: 6rem;
    text-align: right;
    vertical-align: middle;
}

.col-currency {
    width: 3rem;
    vertical-align: middle;
}

.col-comment {
    width: 15rem;
    vertical-align: middle;
}

.col-timestamp {
    width: 11rem;
    vertical-align: middle;
}

.col-locked {
    width: 2rem;
    text-align: center;
    vertical-align: middle;
}

tr:nth-child(even) {
    background: rgba(255, 255, 255, 0.05);
}

tr.selected {
    background: rgba(255, 0, 0, 0.2);
}

tr.highlighted {
    background: rgba(0, 255, 0, 0.07);
}

tr.hidden td {
    color: #888;
}

.tr-head th {
    background-color: #2d425e !important;
    top: -1px;
}

.clickable {
    cursor: pointer;
}

select:required:invalid {
    color: rgb(179, 136, 136);
}

input:required:invalid {
    color: rgb(179, 136, 136);
}

.user-badge {
    width: auto;
    height: 4rem;
    border-radius: 50%;
    position: fixed;
    /* top: 1rem;
    right: 1rem; */
    bottom: 1rem;
    left: 1rem;
    opacity: 0.6;
    z-index: 10;
}

.logo-badge {
    width: auto;
    height: 2.3rem;
    border-radius: 0.3rem;
    /* background-color: #ddd; */
    padding: 0.7rem 0.5rem 0.3rem 0.5rem;
}

.btn-add {
    width: 2.5rem;
    height: 2.5rem;
    border-radius: 50%;
    font-size: 2rem;
    font-weight: bold;
    text-align: center;
}

.btn-addnew {
    position: fixed;
    bottom: 1rem;
    right: 1rem;
    opacity: 0.6;
}

.fa {
    font-size: 1.2rem;
    color: var(--bs-primary-text-emphasis);
}

.fa.mr {
    margin-right: 1.1rem;
}

#card-item {
    background-color: #232e38 !important;
    position: fixed;
    margin: auto;
    left: 0px;
    right: 0px;
    top: 10vh;
    max-width: 30rem;
    border-color: #999;
    display: none;
    z-index: 9;
}

#card-header {
    background-color: rgba(255, 255, 255, 0.2) !important;
}

.nav-link {
    background-color: rgba(255, 255, 255, 0.00) !important;
    border-width: 1px 1px 0px 1px !important;
    border-style: solid !important;
    border-color: #444 !important;
}

.nav-link.active,
.tab-content,
th,
td,
tr th {
    background-color: rgba(255, 255, 255, 0.03) !important;
}

.tab-content {
    border-width: 0px 1px 1px 1px !important;
    border-style: solid !important;
    border-color: #444 !important;
}

#tab-container {
    height: 100vh;
    overflow: hidden;
}

.center {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

th {
    position: sticky;
    top: 0;
    /* Don't forget this, required for the stickiness */
}

.toast-container {
    bottom: 5rem !important;
}

.toast-body {
    background: #444;
}

.toast-header {
    background-color: #2d425e !important;
}

@media only screen and (min-width: 1000px) {
    .my-container,
    #tab-container {
        width: 80vw;
        height: 85vh;
    }
    .table-container {
        overflow: scroll;
        height: calc(80vh - 3rem);
    }
    .center-container {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
    .user-badge {
        /* top: 0px !important; */
        bottom: 2.5rem !important;
    }
    .btn-addnew {
        bottom: 2.5rem !important;
    }
}